//+------------------------------------------------------------------+
//|                                                      cactous.mq4 |
//|                                                        Boeing747 |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Boeing747"
#property link      ""

#property indicator_chart_window
extern int pips_from = 100;    //  
extern int pips_to = 140;      //  
extern color cvet = Red;       //  
extern int Width_Line = 2;     //  
datetime t = 0;
int c[100000];
int v;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
      for ( int d = 0; d <= v; d++ )
      {
       string del = c[d];
       ObjectDelete( del );
      }  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int i,y;
   double p = Point;
//----
   if ( t != Time[0] )
   {
     t = Time[0]; 
      
     while( i < Bars - 1 )
     {
       double h = High[i];
       double l = Low[i];
       int x = ( h - l ) / p;
        if ( x >= pips_from && x <= pips_to )
        {
          y++;
          
            string z = i;
            c[y] = i;
            v = i;
            
            ObjectCreate( z, OBJ_TREND, 0, Time[i], h, Time[i], l );               
            ObjectSet( z, OBJPROP_TIME1, Time[i] );
            ObjectSet( z, OBJPROP_TIME2, Time[i] );
            ObjectSet( z, OBJPROP_PRICE1, h );
            ObjectSet( z, OBJPROP_PRICE2, l );
            ObjectSet( z, OBJPROP_COLOR, cvet );
            ObjectSet( z, OBJPROP_RAY, 0 );
            ObjectSet( z, OBJPROP_WIDTH, Width_Line );
            ObjectSet( z, OBJPROP_STYLE, 0 );
            ObjectSet( z, OBJPROP_BACK, 0 );
        }
      i++;
     }
   }
   
//----
   return(0);
  }
//+------------------------------------------------------------------+